MPE_Fill_rectangle(4)

NAME
MPE_Fill_rectangle - Draws a filled rectangle on an X11 display

SYNOPSIS
#include "mpe.h"
int MPE_Fill_rectangle( handle, x, y, w, h, color )
MPE_XGraph handle;
int        x, y, w, h;
MPE_Color  color;

INPUT PARAMETERS
handle
    - MPE graphics handle
x,y - pixel position of the upper left (low coordinate) corner of the rectangle to draw.
w,h - width and height of the rectangle
color
    - Color index value. See MPE_MakeColorArray . By default, the colors MPE_WHITE , MPE_BLACK , MPE_RED , MPE_YELLOW , MPE_GREEN , MPE_CYAN , MPE_BLUE , MPE_MAGENTA , MPE_AQUAMARINE , MPE_FORESTGREEN , MPE_ORANGE , MPE_VIOLET , MPE_BROWN , MPE_PINK , MPE_CORAL and MPE_GRAY are defined.

NOTES
This uses the X11 definition of width and height, so you may want to add 1 to both of them.

LOCATION
mpe_graphics.c